<ion-header>
  <ion-toolbar class="my-header">
    <div class="ic-back" slot="start" (click)="back()">
      <ion-icon name="arrow-round-back"></ion-icon>
    </div>
    <ion-title color="light">Upgrade Member</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>

  <ion-text class="my-text">
    <h4><img src="assets/icon/1.png" alt="">Kartu Tanda Penduduk</h4>
  </ion-text>

  <div class="ktp ion-text-center" (click)="openCamera()">
    <img *ngIf="!imgKtp1" src="assets/icon/Icon Camera.png" alt="">
    <img *ngIf="imgKtp1" src="{{globalService.pathImage(imgKtp1)}}" alt="" height="200">
  </div>

  <div class="panduan" padding>
    <h5>Panduan Foto KTP</h5>
    <p>Pastikan foto diambil dari KTP asli ( Bukan fotokopi KTP )</p>
    <img src="assets/img/KTP.png" alt="">
  </div>

  <ion-text class="my-text">
    <h4><img src="assets/icon/2.png" alt="">Foto diri bersama dengan KTP</h4>
  </ion-text>

  <div class="ktp ion-text-center" (click)="openCamera2()">
    <img *ngIf="!imgKtp2" src="assets/icon/Icon Camera.png" alt="">
    <img *ngIf="imgKtp2" src="{{globalService.pathImage(imgKtp2)}}" alt="" height="200">
  </div>

  <div class="panduan" padding>
    <h5>Panduan Foto diri bersama KTP</h5>
    <p>Pastikan foto yang Anda kirimkan adalah foto asli tanpa editan.</p>
    <img src="assets/img/bareng_ktp.png" alt="">
  </div>

  <div>
    <ion-item>
      <ion-label position="stacked">Kontak orang terdekat (keluarga) <span class="color-primary">*</span></ion-label>
      <ion-input [(ngModel)]="formData.emergencyName" placeholder="Nama"></ion-input>
    </ion-item>
  </div>

  <div>
    <ion-item>
      <ion-label position='stacked'>Hubungan <span class="color-primary">*</span></ion-label>
      <ion-select [(ngModel)]="formData.emergencyRole">
        <ion-select-option value="Saudara">Saudara kandung</ion-select-option>
        <ion-select-option value="Ibu">Ibu</ion-select-option>
        <ion-select-option value="Ayah">Ayah</ion-select-option>
        <ion-select-option value="Sepupu">Sepupu</ion-select-option>
      </ion-select>
    </ion-item>
  </div>

  <div>
    <ion-item>
      <ion-label position='stacked'>Nomor Handphone <span class="color-primary">*</span></ion-label>
      <ion-input [(ngModel)]="formData.emergencyNumber" placeholder="Contoh : 62852323xxxxxx"></ion-input>
    </ion-item>
  </div>

  <div class="user-agree">
    <ion-grid>
      <ion-row>
        <ion-col size="2">
          <img src="assets/icon/icon_guild.png" alt="">
        </ion-col>
        <ion-col size="10">
          <p>Data yang anda berikan akan tersimapan dan terlindungi dalam sistem MBAKU</p>
        </ion-col>
      </ion-row>
    </ion-grid>
  </div>

  <ion-button expand="block"
    [disabled]="!this.imgKtp1 || !this.imgKtp2 || !formData.emergencyName || !formData.emergencyNumber || !formData.emergencyRole"
    (click)="saveForm()" class="my-button">Ajukan Premium</ion-button>

</ion-content>